Subject: bug#71313: [PATCH] Allow insert other elisp keywords in auto-insert

From: Thierry Volpiatto <[email-masked]>
Date: Fri, 07 Jun 2024 05:48:20 +0000

Elijah G <[email-masked]> writes:

> El mié., 5 de junio de 2024 5:32 a. m., Eli Zaretskii <[email-masked]>
> escribió:
>
>     > From: "Elijah G." <[email-masked]>
>     > Cc: Stefan Monnier <[email-masked]>, 
> [email-masked]
>     > Date: Tue, 04 Jun 2024 18:54:19 -0600
>     >
>     > Eli Zaretskii <[email-masked]> writes:
>     >
>     > > Thanks, but how will an empty string "fix bugs from 3rd-party
>     > > completion UI"?  What am I missing here?
>     >
>     > When using Completions UI such as Vertico or Helm, there is no
> way to
>     > exit from Keyword Section to go to next auto-insert Sections
> unless the
>     > user press a key sequense, for auto-insert input a empty string
> allow
>     > close Keyword section without cancelling the next auto-insert
> actions.
>    
>     But why would the user want to exit the Keyword Section without
>     inputting keywords?  And why are Vertico and Helm special in this
>     regard?
>
> I didn't mean to exit without input any keyword, after inserting the
> keyword it will ask again for add more keywords, the problem is that
> It's an infinite loop that it's not possible exit
> without pressing any keybinding for insert an empty string (e.g. M-RET
> in Vertico), AFAIK Vertico (and helm according to some commentaries)
> have this problem because they use strictly the
> completing-read completion table for their candidates when
> require-match is non-nil, the patch can be applied since it is just a
> little change without any side-effect.

You can exit the minibuffer with empty string in Helm with C-RET.

-- 
Thierry